/**
 * @class Pheme.model.FavoriteStory
 * @extends Ext.data.Model
 * Description: Store the id and date when a story has been favorited/followed.
 */
Ext.define('Pheme.model.FavoriteStory', {
	extend: 'Ext.data.Model',
	config: {
        fields: [
            {name: 'id',  type: 'int'},
            {name: 'date', type: 'date'},
            /**
             * Last time the user opened the story or viewed it in the favorite list
             * @type date
             */
            {name: 'update_last_acknowledged', type: 'date'}
        ]
    }
});
