/**
 * @class Pheme.model.Topic
 * @extends Ext.data.Model
 * Description: Store required fields of json feed from wp for main story view filter and navigation.
 */
Ext.define('Pheme.model.Topic', {
	extend: 'Ext.data.Model',
	config: {
        fields: [
            {name: 'id',  type: 'int'},
            {name: 'title',   type: 'string'},
            {name: 'term_id',  type: 'int'},
            {name: 'name',   type: 'string'},
            {name: 'slug', type: 'auto'},
            {name: 'term_group', type: 'int'},
            {name: 'term_taxonomy_id',   type: 'int'},
            {name: 'taxonomy',   type: 'string'},
            {name: 'description',   type: 'string'},
            {name: 'parent',   type: 'int'},
            {name: 'count', type: 'string'},
        ]
    }
});