/**
 *  Breaking News
 *  @class Pheme.store.BreakingNews
 *  @extends Ext.data.Store
 *  Description: ...
 */
Ext.define('Pheme.store.BreakingNews', {
	extend: 'Ext.data.Store',
	requires: ['Ext.data.proxy.JsonP'],
	id: 'BreakingNewsStore',
	config: {
		model: 'Pheme.model.BreakingNews',
        filters: [
            {filterFn: function(item){ return item.get('breaking') ? false : true;}}
        ],
        proxy: {
            type: 'jsonp',
            noCache: false,
            timeout: 4000,
            reader: {
                type: 'json'
            }
        }
	}
});
