/**
 *  Search
 *  @class Pheme.store.Search
 *  @extends Ext.data.Store
 *  Description: ...
 */
Ext.define('Pheme.store.Search', {
    extend: 'Ext.data.Store',
    requires: ['Ext.data.proxy.JsonP'],
    config: {
        model: 'Pheme.model.Search',
        storeId: 'searchResult',
        autoLoad: false,
        autoPaging: true,
        proxy: {
            type: 'jsonp',
            timeout: 10000,
            noCache: false,
            url: Pheme.Config.fetchCurrentMarket().endpoint + '/search?s=',
            callbackKey: '',
        }
        
    }
});
