/**
 *  UserSettings
 *  @class Pheme.store.UserSettings
 *  @extends Ext.data.Store
 *  Description: ...
 */
Ext.define('Pheme.store.UserSettings', {
    extend: 'Ext.data.Store',
    requires: ['Ext.data.proxy.LocalStorage'],
    id: 'UserSettingsStore',
    config: {
        model: 'Pheme.model.UserSettings',
        autoLoad: true,
        autoSync: true,
        proxy: {
            type: 'localstorage',
            id: 'user-settings'
        }
    }
});
