/**
 *  About
 *  @class Pheme.view.About
 *  @extends Ext.Panel
 *  Description: ...
 */
Ext.define('Pheme.view.About', {
    extend: 'Ext.Panel',
    xtype: 'AboutThisApp',
    id: 'AboutThisApp',
    config: {
        cls: 'background-white',

        width: '100%',
        items: [{
                xtype: 'panel',
                cls: 'about-header',
                items: [{
                    xtype: 'image',
                    html: 'Done',
                    cls: 'about-view-close',
                    id: 'btn_close',
                }, {
                    xtype: 'label',
                    id: 'adSetting',
                    html: '<div class="left inline width-50 about-title">About This App</div>',
                    listeners: {
                        taphold: {
                            element: 'element',
                            fn: function() {
                                this.fireEvent("adDebugMode");
                            }
                        }
                    }
                },]
                
            },
            {
                xtype: 'label',
                cls: 'list-heading-dark',
                html: '<div class="overflow about-body"><h3>Local News Now</h3><p>Your ' + Pheme.Config.fetchCurrentMarket().aboutUs + ' mobile app is a live, local news service connecting you to the crucial news of the day when it happens and when you need it most. Check in for breaking news, follow stories for updates throughout the day, then share, or link to ' + Pheme.Config.fetchCurrentMarket().paperWebsite + ' for expanded national and international news.</p></div>',
            },
            {
                xtype: 'panel',
                docked: 'bottom',
                html: '<span class="about-mice left">App v.' + Pheme.Config.fetchVersionNum() + '</span><div class="clear h-line"></div><img class="about-logo" src="resources/images/common/postmedia-logo-blk.png"><p class="about-mice">Postmedia Network Inc., a wholly-owned subsidiary of Postmedia Network Canada Corp. (TSX:PNC.A, PNC.B), Is the largest publisher by circulation of paid English-language daily newspapers in Canada, representing some of the country&rsquo;s oldest and best known media brands. Reaching millions of Canadians every week, Postmedia Network engages readers and offers advertisers and marketers intergrated solutions to effectively reach target audiences through a variety of print, online, digital and mobile platforms. <br /><br /> &reg; ' + Pheme.Config.currentYear() + ' Postmedia Network Inc. All rights reserved<br /><br /></p>',
            },

        ],
        listeners: {
            painted: function() {
                Pheme.helpers.Omniture.pageView("about");
            }
        }
    }

});