/**
 *  AdDebugSettings
 *  @class Pheme.view.AdDebugSettings
 *  @extends Ext.Panel
 *  Description: ...
 */
Ext.define('Pheme.view.AdDebugSettings', {
	extend: 'Ext.Panel',
	xtype: 'DebugSettings',
	id: 'DebugSettings',
	config: {

	    modal: true,
		cls: 'ad-info-box',
           width: '100%',

        style: 'margin: auto; border-radius:10px;',
		items: [{
			xtype: 'panel',			
			items: [
			{
				xtype: 'button',
				id: 'btn_debug',
				style: 'margin: 50px 20px 20px 20px',
				text: ''
			},
			{
				xtype: 'button',
				id: 'btn_testAds',
				style: 'margin: 20px',
				text: ''
			},
			{
				xtype: 'button',
				id: 'btn_sampleAds',
				style: 'margin: 20px',
				text: ''
			},
			{
                xtype: 'textfield',
                id: 'networkId',
                placeHolder: ' Network ID',
				style: 'margin: 20px; border: solid #333333 2px; border-radius: 5px;',
                name: 'networkId',
			},
			{
				xtype: 'button',
				text: 'Close',
				id: 'btn_close_ad_settings',
				height: 75
			},
			]				
		}],
		listeners: {
			initialize: function() {
				(Pheme.helpers.DfpAds.getDebugMode()) ? Ext.getCmp('btn_debug').setText('Debug: On') : Ext.getCmp('btn_debug').setText('Debug: Off');
				(Pheme.helpers.DfpAds.getTestAds()) ? Ext.getCmp('btn_testAds').setText('Test: On') : Ext.getCmp('btn_testAds').setText('Test: Off');
				(Pheme.helpers.DfpAds.getSampleAds()) ? Ext.getCmp('btn_sampleAds').setText('Sample: On') : Ext.getCmp('btn_sampleAds').setText('Sample: Off');
			}
		},
	},

});
