/**
 *  Story
 *  @class Pheme.view.Story
 *  @extends Pheme.view.CustomCarousel
 *  Description: ...
 */
Ext.define('Pheme.view.Story', {
    //extend: 'Ext.Carousel',
    extend: 'Pheme.view.CustomCarousel',
    require: ['Pheme.view.CustomCarousel'],
    id: 'StoryView',
    direction: 'horizontal',
    directionLock: true,
    config: {
		indicator: false,
        bubbleEvents: 'tap',
        items: [
        {
            id: 'storyViewTitleBar',
            xtype: 'storytitlebar'
        }],
        listeners: {
       	    tap: {
        		element: 'element',
        		fn: function(event) {
                    this.fireEvent('story.link.tap', event);
        		},
        		delegate: 'a'
            }
        }
    }
});
