/**
 *  StoryTitleBar
 *  @class Pheme.view.StoryTitleBar
 *  @extends Ext.TitleBar
 *  Description: ...
 */
Ext.define('Pheme.view.StoryTitleBar', {
    extend: 'Ext.TitleBar',
    xtype: 'storytitlebar',
    config: {
        docked: 'top',
		cls: 'nav-images',
		items: [
	    	{
				xtype: 'image',
				cls: 'icon-back',
				align: 'left',
				src: 'resources/images/toolbar/back-btn-wh.png',
				width: '40px',
				height: '50px',
	        	itemId: 'btn_back',
	    	},
	    	{
	        	xtype: 'image',
				cls: 'icon-share',
				src: 'resources/images/toolbar/share-btn-wh.png',
				align: 'right',       
	        	itemId: 'btn_share',
                width: '35px',
				height: '50px',
	    	},
	    	{
	        	xtype: 'image',
				cls: 'icon-star',
				src: 'resources/images/toolbar/follow-btn-wh.png',
	        	align: 'right',
	        	itemId: 'btn_follow',
                width: '35px',
				height: '50px',
	    	},
            {
                xtype: 'label',
                cls: 'follow-count-icon story',
                align: 'right',
                listeners: {
                    painted: function() {
                        Pheme.helpers.FavoriteStories.updateFavoriteUpdatedCount();
                    }
                }
            },
	    	{
	        	xtype: 'image',
                cls: 'alerts-active-story',
                src: 'resources/images/toolbar/alerts-breaking.png',
                itemId: 'btn_alert',
                align: 'right',
                width: '35px',
				height: '50px',
	    	}
		]
	}
});
