StartTest(function(t) {
    var sameId;

    t.chain(
        {
            waitFor: 'CQ', args: 'Main'
        },
        function(next) {
            t.ok(t.cq1('#main_nav_icon'), 'Should find main nav icon');
            next();
        },
        {
            action: 'swipe', target: Ext.Viewport.element, direction: 'up'
        },
        {
            action: 'tap', target: '>> #storiesList > container > simplelistitem[id=ext-simplelistitem-2]'
        },
        function(next) {
            var storyCarousels = Ext.ComponentQuery.query('>> carousel'),
                tappedStory = storyCarousels[1];

            sameId = tappedStory.internalId;
            next();
        },
        {
            action: 'swipe', target: Ext.Viewport.element, direction: 'left'
        },
        {
            action: 'swipe', target: Ext.Viewport.element, direction: 'left'
        },
        {
            action: 'swipe', target: Ext.Viewport.element, direction: 'left'
        },
        {
            action: 'swipe', target: Ext.Viewport.element, direction: 'left'
        },
        {
            action: 'swipe', target: Ext.Viewport.element, direction: 'left'
        },
        {
            action: 'swipe', target: Ext.Viewport.element, direction: 'left'
        },
        function() {
            var storyCarousels = Ext.ComponentQuery.query('>> carousel'),
                currentStory = storyCarousels[storyCarousels.length - 1];

            t.ok(sameId !== currentStory.internalId);
        }
    );
});

