StartTest(function(t) {
    var sameId;

    t.chain(
        {
            waitFor: 'CQ', args: 'Main'
        },
        function(next) {
            t.ok(t.cq1('#main_nav_icon'), 'Should find main nav icon');
            next();
        },
        {
            action: 'tap', target: '>> #storiesList > container > simplelistitem[id=ext-simplelistitem-1]'
        },
        function(next) {
            var storyCarousels = Ext.ComponentQuery.query('>> carousel'),
                tappedStory = storyCarousels[1];

            sameId = tappedStory.internalId;
            next();
        },
        {
            action: 'swipe', target: Ext.Viewport.element, direction: 'left'
        },
        {
            action: 'swipe', target: Ext.Viewport.element, direction: 'left'
        },
        {
            action: 'swipe', target: Ext.Viewport.element, direction: 'left'
        },
        {
            action: 'swipe', target: Ext.Viewport.element, direction: 'left'
        },
        {
            waitFor: 'CQ', args: '>> image[itemId="btn_back"]'
        },
        {
            action: 'tap', target: '>> image[itemId="btn_back"]'
        },
        {
            waitFor: 1000
        },
        function(next) {
            t.moveCursorBy([100, 400]);
            t.scrollUntilElementVisible(Ext.Viewport.element, 'down', '>> #storiesList > container > simplelistitem[id=ext-simplelistitem-3]', next);
        },
        {
            waitFor: 1000
        },
        {
            action: 'tap', target: '>> #storiesList > container > simplelistitem[id=ext-simplelistitem-3]'
        },
        {
            action: 'swipe', target: Ext.Viewport.element, direction: 'left'
        },
        {
            action: 'swipe', target: Ext.Viewport.element, direction: 'left'
        },
        {
            action: 'swipe', target: Ext.Viewport.element, direction: 'left'
        },
        function(next) {
            t.ok(t.cq1('>> panel[aliases=adPanel]'));
            next();
        },
        function() {
            var storyCarousels = Ext.ComponentQuery.query('>> carousel'),
                tappedStory = storyCarousels[storyCarousels.length - 1];


            t.notOk(sameId === tappedStory.internalId);
        }
    );
});

