StartTest(function(t) {
    var sameId;

    t.chain(
        {
            waitFor: 'CQ', args: 'Main'
        },
        function(next) {
            t.ok(t.cq1('#main_nav_icon'), 'Should find main nav icon');
            t.moveCursorBy([100, 400]);
            t.scrollUntilElementVisible(Ext.Viewport.element, 'down', '>> #storiesList > container > simplelistitem[id=ext-simplelistitem-4]', next);
        },
        {
            action: 'tap', target: '>> #storiesList > container > simplelistitem[id=ext-simplelistitem-4]'
        },
        function(next) {
            var storyCarousels = Ext.ComponentQuery.query('>> carousel'),
                lastStory = storyCarousels[storyCarousels.length - 1];

            sameId = lastStory.internalId;
            next();
        },
        {
            action: 'swipe', target: Ext.Viewport.element, direction: 'left'
        },
        function(next) {
            t.ok(t.cq1('>> panel[aliases=adPanel]'));
            next();
        },
        {
            action: 'swipe', target: Ext.Viewport.element, direction: 'left'
        },
        function() {
            var storyCarousels = Ext.ComponentQuery.query('>> carousel'),
                lastStory = storyCarousels[storyCarousels.length - 1];

            t.ok(sameId !== lastStory.internalId);
        }
    );
});
