/**
 * 	@class Pheme.controller.About
 *  @extends Ext.app.Controller
 *  Description: Controller for the About Us screen
 */
Ext.define('Pheme.controller.About', {
    extend: 'Ext.app.Controller',

    config: {
        refs: {
			adSet: '#DebugSettings',
			settingAd: '#adSetting',
			closeButton: '#btn_close',
			main: 'Main',
			closeDebug: '#btn_close_ad_settings'
		},
        control: {
			settingAd: {
				"adDebugMode":function() {
					this.getAdSet().isHidden() ? this.getAdSet().show() : this.getAdSet().hide();
				}
			},

			closeButton: {
				tap: function() {
					mainEl = this.getMain().element;
					Pheme.helpers.Common.switchElement(mainEl, true, false);
					
					Pheme.helpers.Common.switchView('#mainViewport');

        			Ext.getCmp('storiesList').getScrollable().getScroller().setDisabled(false);

				}
			},
			closeDebug: {
				tap: function() {
					this.getAdSet().isHidden() ? this.getAdSet().show() : this.getAdSet().hide();
				}
			}
		}
    }
});
