/**
 *  Topic
 *  @class Pheme.store.Topic
 *  @extends Ext.data.Store
 *  Description: ...
 */
Ext.define('Pheme.store.Topic', {
    extend: 'Ext.data.Store',
    requires: ['Ext.data.proxy.JsonP'],
    config: {
        model: 'Pheme.model.Topic',
        storeId: 'topics',
        //autoLoad: true,
        proxy: {
            type: 'jsonp',
            timeout: 10000,
			noCache: false,
            url: Pheme.Config.fetchCurrentMarket().endpoint + '/topics',
            callbackKey: '',
        },
        
    }
});
