/**
 *  AlertStory
 *  @class Pheme.view.AlertStory
 *  @extends Ext.Carousel
 *  Description: ...
 */
Ext.define('Pheme.view.AlertStory', {
	extend: 'Ext.Carousel',
	id: 'AlertStoryView',
	config: {
		layout: 'card',
		storyId: undefined,
		storeId: undefined,
		direction: false,
		indicator: false,
		items: [{ xtype: 'storytitlebar', itemId: 'alertTitleBar'}],
		listeners: {
			tap: {
				element: 'element',
				fn: function(event) {
					this.fireEvent('story.link.tap', event);
				},
				delegate: 'a'
			},
			activeitemchange: function(self, newActiveItem) {
				this.fireEvent('toggleFollowButton', this.getStoryId(), 'alertTitleBar', newActiveItem.getItemId());
			}
		}
	}
});
