Ext.define('Pheme.view.Favorite', {
    extend: 'Ext.Panel',
    id: 'FavoriteView',
    config: {
        cls: 'alert-panel',
        hidden: true,
        floating: true,
        centered: true,
        hideOnMaskTap: true,
        modal: true,
        hideAnimation: {
            type: 'popOut',
            duration: 200,
            easing: 'ease-out'
        },
        showAnimation: {
            type: 'popIn',
            duration: 300,
            easing: 'ease-out'
        },
        cls: 'alert-overlay',
        width: '95%',
        height: '75%',
        layout: 'vbox',
        items: [
            {
                xtype: 'panel',
                docked: 'top', 
                cls: 'following-popup',
                html: '<div class="arrow-up"></div>',
                styleHtmlCls: 'following-content',
                items: [
                    {
                        xtype: 'panel',
                        html: 'Following',
                        cls: 'following-title'
                    },
                    {
                        xtype: 'label', 
                        id: 'followingCount',
                        cls: 'following-count',
                    },
                    {
                        xtype: 'panel',
                        cls: 'clear'
                    }
                ]
            }
        ]
    }

});
