/**
 *  SearchStory
 *  @class Pheme.view.SearchStory
 *  @extends Ext.Carousel
 *  Description: ...
 */
Ext.define('Pheme.view.SearchStory', {
    extend: 'Ext.Carousel',
    id: 'SearchStoryView',
    config: {
	direction: false,
	indicator: false,
        storyId: undefined,
        storeId: undefined,
        bubbleEvents: 'tap',
        layout: 'card',
        items: [ { itemId: 'searchViewTitleBar', xtype: 'storytitlebar' } ],
        listeners: {
       	    tap: {
            	element: 'element',
            	fn: function(event) {
                    this.fireEvent('story.link.tap', event);
            	},
            	delegate: 'a'
            },
            /**
             * [activeitemchange description]
             * @param  {[type]} self          [description]
             * @param  {[type]} newActiveItem [description]
             * @return {[type]}               [description]
             */
            activeitemchange: function(self, newActiveItem) {
                var storyId = this.innerItems[this.getActiveIndex()].currentStoryId,
                    story,
                    store = Ext.data.StoreManager.get('searchResult'),
                    options;

                Pheme.helpers.Omniture.pageView("search story", storyId);

                this.fireEvent('toggleFollowButton', storyId, 'searchViewTitleBar', newActiveItem.getItemId());

                story = store.getById(storyId);
                Pheme.helpers.DfpAds.renderBannerAd(story, '#252525', true, false);
            }
        }
    }
});
