StartTest(function(t) {

    var leftSwipe   = { action : 'swipe', direction : 'left', target : Ext.Viewport.element };
    var rightSwipe  = { action : 'swipe', direction : 'right', target : Ext.Viewport.element };


    t.chain(
        { waitFor : 'CQ', args : 'Main' },

        //{ action : 'tap', target : '>> image[itemId="nav_start"]' },

        function(next) {
            t.pass('Should find main view on app start');
            t.ok(t.cq1('#main_nav_icon'), 'Should find main nav icon');
            t.moveCursorBy([100, 400]);
            t.scrollUntilElementVisible(Ext.Viewport.element, 'down', '>> customlist simplelistitem[id=ext-simplelistitem-19]', function() {
                t.ok(t.cq1('>> customlist simplelistitem[id=ext-simplelistitem-19]'));

                t.tap('>> customlist simplelistitem[id=ext-simplelistitem-19]', function() {
                    t.ok(t.cq1('>> carousel'));
                });

                next();
            });

        },

        rightSwipe,
        rightSwipe,
        rightSwipe,
        rightSwipe,
        rightSwipe,
        rightSwipe,
        rightSwipe,
        rightSwipe,
        rightSwipe,
        rightSwipe,
        rightSwipe,
        rightSwipe,
        /*rightSwipe,
        rightSwipe,
        rightSwipe,
        rightSwipe,*/

        function(next) {
            t.swipe(Ext.Viewport.element, 'right', function() {
                t.ok(t.cq1('>> panel[aliases=adPanel]'));
                next();
            });
        },

        leftSwipe,
        leftSwipe,
        leftSwipe,
        leftSwipe,
        leftSwipe,
        leftSwipe,
        leftSwipe,
        leftSwipe,
        leftSwipe,
        leftSwipe,
        leftSwipe,
        leftSwipe,
        leftSwipe,
        /*leftSwipe,
        leftSwipe,
        leftSwipe,
        leftSwipe,*/

        function(next) {
            t.swipe(Ext.Viewport.element, 'left', function() {
                t.ok(t.cq1('>> carousel'));
                next();
            });
        }
    );
});
