var Harness = Siesta.Harness.Browser.SenchaTouch;

Harness.configure({
    title     : 'Pheme Integration Testing'
});

Harness.start(
    {
        group       : 'Main Tests',
        hostPageUrl : 'http://localhost:8000',
        preload     : [],
        performSetup : false,       // This is done by the app itself
        items       : [
            'application_tests/000_sanity.js',
            //'application_tests/756_between_swipe_interstitial_ads.js',
            //'application_tests/Story_Carousel-swiping_forward_through_stories.js',
            'application_tests/2009_duplicate_story_appears.js',
            'application_tests/2001_same_story_shows_after_interstitial_ad.js',
            'application_tests/filter_list_to_story.js',
            'application_tests/571_ad_order.js',
            'application_tests/571_tapping_story_should_not_display_ad.js',
            'application_tests/571_ad_order_from_end_of_stories.js',
            'application_tests/571_backwards_through_carousel_one_extra_story.js',
            'application_tests/571_filter_to_story_stories_out_of_order.js',
            'application_tests/2245_infinite_swipe.js'
            //'application_tests/search_to_story.js',
        ],
        breakOnFail: false,
        disableCaching: true
    }
);

