Ext.require('Ext.data.Model');

//This is to avoid test pollution by clearing memory before each test.
afterEach(function() {
    Ext.data.Model.cache = {};
});

//This is for any kind of view testing. This sets up and clears the DOM for our tests

var domEl;

beforeEach(function() {
    domEl = document.createElement('div');
    domEl.setAttribute('id', 'jasmine_content');
    var oldEl = document.getElementById('jasmine_content');
    oldEl.parentNode.replaceChild(domEl, oldEl);
});

afterEach(function() {
    domEl.setAttribute('style', 'display:none');
});
